Subject: Re: [sipcore] SIPCORE Minutes, IETF89, March 2014 - RFC 6665 Dialog Re-Use with REFER

From: Christer Holmberg <[email-masked]>
Date: Sat, 22 Mar 2014 09:13:59 +0000

Hi,

> * RFC 6665 Dialog Re-Use with REFER
> 
> Conclusion: Much objection to need for GRUU to solve this problem.
> 
> Action: Robert Sparks and Adam Roach to write a new draft updating RFC3515 (REFER) for consistency with RFC6665.
> Action: Continue discussion on list. (Especially those who object to 
> described approach.)

I realize this is supposed to be a summary, but I think some parts are missing.

First, I am not sure what is meant by "need for GRUU to solve this problems". 

Eventhough GRUU, and whether 3515 needs to be updated, was discussed, the other part of the discussion was not so much about GRUU - it was more about usage of in-dialog REFERs when the sender "knows" that receiver will use norefersub. 

Related to that, I think it would be good to mention that there were suggestions about deprecating implicit registrations all together, and defining a new nofersub-must-support-AND-use option-tag, but that no conclusions were made.

Thanks!

Regards,

Christer